Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.impl
Class DocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.impl.DocumentRootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentRoot

    public class DocumentRootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Accept Objects Request`
- `Approve Objects Request`
- `Deprecate Objects Request`
- `Relocate Objects Request`
- `Remove Objects Request`
- `Submit Objects Request`
- `Undeprecate Objects Request`
- `Update Objects Request`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAcceptObjectsRequest(AcceptObjectsRequestType newAcceptObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRelocateObjectsRequest(RelocateObjectsRequestType newRelocateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUndeprecateObjectsRequest(UndeprecateObjectsRequestType newUndeprecateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AcceptObjectsRequestType` | `getAcceptObjectsRequest()`
`ApproveObjectsRequestType` | `getApproveObjectsRequest()`
`DeprecateObjectsRequestType` | `getDeprecateObjectsRequest()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`RelocateObjectsRequestType` | `getRelocateObjectsRequest()`
`RemoveObjectsRequestType` | `getRemoveObjectsRequest()`
`SubmitObjectsRequestType` | `getSubmitObjectsRequest()`
`UndeprecateObjectsRequestType` | `getUndeprecateObjectsRequest()`
`UpdateObjectsRequestType` | `getUpdateObjectsRequest()`
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()`
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()`
`void` | `setAcceptObjectsRequest(AcceptObjectsRequestType newAcceptObjectsRequest)`
`void` | `setApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest)`
`void` | `setDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest)`
`void` | `setRelocateObjectsRequest(RelocateObjectsRequestType newRelocateObjectsRequest)`
`void` | `setRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest)`
`void` | `setSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest)`
`void` | `setUndeprecateObjectsRequest(UndeprecateObjectsRequestType newUndeprecateObjectsRequest)`
`void` | `setUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `LCMPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `LCMPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `LCMPackage.getDocumentRoot_XSISchemaLocation()`

### getAcceptObjectsRequest

    public AcceptObjectsRequestType getAcceptObjectsRequest()

  Specified by:
    `getAcceptObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Accept Objects Request' containment reference.
  See Also:
    `DocumentRoot.setAcceptObjectsRequest(AcceptObjectsRequestType)`, `LCMPackage.getDocumentRoot_AcceptObjectsRequest()`

### basicSetAcceptObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetAcceptObjectsRequest(AcceptObjectsRequestType newAcceptObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setAcceptObjectsRequest

    public void setAcceptObjectsRequest(AcceptObjectsRequestType newAcceptObjectsRequest)

  Specified by:
    `setAcceptObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newAcceptObjectsRequest` - the new value of the 'Accept Objects Request' containment reference.
  See Also:
    `DocumentRoot.getAcceptObjectsRequest()`

### getApproveObjectsRequest

    public ApproveObjectsRequestType getApproveObjectsRequest()

  Specified by:
    `getApproveObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Approve Objects Request' containment reference.
  See Also:
    `DocumentRoot.setApproveObjectsRequest(ApproveObjectsRequestType)`, `LCMPackage.getDocumentRoot_ApproveObjectsRequest()`

### basicSetApproveObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setApproveObjectsRequest

    public void setApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest)

  Specified by:
    `setApproveObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newApproveObjectsRequest` - the new value of the 'Approve Objects Request' containment reference.
  See Also:
    `DocumentRoot.getApproveObjectsRequest()`

### getDeprecateObjectsRequest

    public DeprecateObjectsRequestType getDeprecateObjectsRequest()

  Specified by:
    `getDeprecateObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `DocumentRoot.setDeprecateObjectsRequest(DeprecateObjectsRequestType)`, `LCMPackage.getDocumentRoot_DeprecateObjectsRequest()`

### basicSetDeprecateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setDeprecateObjectsRequest

    public void setDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest)

  Specified by:
    `setDeprecateObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newDeprecateObjectsRequest` - the new value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `DocumentRoot.getDeprecateObjectsRequest()`

### getRelocateObjectsRequest

    public RelocateObjectsRequestType getRelocateObjectsRequest()

  Specified by:
    `getRelocateObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Relocate Objects Request' containment reference.
  See Also:
    `DocumentRoot.setRelocateObjectsRequest(RelocateObjectsRequestType)`, `LCMPackage.getDocumentRoot_RelocateObjectsRequest()`

### basicSetRelocateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetRelocateObjectsRequest(RelocateObjectsRequestType newRelocateObjectsRequest,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setRelocateObjectsRequest

    public void setRelocateObjectsRequest(RelocateObjectsRequestType newRelocateObjectsRequest)

  Specified by:
    `setRelocateObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newRelocateObjectsRequest` - the new value of the 'Relocate Objects Request' containment reference.
  See Also:
    `DocumentRoot.getRelocateObjectsRequest()`

### getRemoveObjectsRequest

    public RemoveObjectsRequestType getRemoveObjectsRequest()

  Specified by:
    `getRemoveObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Remove Objects Request' containment reference.
  See Also:
    `DocumentRoot.setRemoveObjectsRequest(RemoveObjectsRequestType)`, `LCMPackage.getDocumentRoot_RemoveObjectsRequest()`

### basicSetRemoveObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setRemoveObjectsRequest

    public void setRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest)

  Specified by:
    `setRemoveObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newRemoveObjectsRequest` - the new value of the 'Remove Objects Request' containment reference.
  See Also:
    `DocumentRoot.getRemoveObjectsRequest()`

### getSubmitObjectsRequest

    public SubmitObjectsRequestType getSubmitObjectsRequest()

  Specified by:
    `getSubmitObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Submit Objects Request' containment reference.
  See Also:
    `DocumentRoot.setSubmitObjectsRequest(SubmitObjectsRequestType)`, `LCMPackage.getDocumentRoot_SubmitObjectsRequest()`

### basicSetSubmitObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubmitObjectsRequest

    public void setSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest)

  Specified by:
    `setSubmitObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newSubmitObjectsRequest` - the new value of the 'Submit Objects Request' containment reference.
  See Also:
    `DocumentRoot.getSubmitObjectsRequest()`

### getUndeprecateObjectsRequest

    public UndeprecateObjectsRequestType getUndeprecateObjectsRequest()

  Specified by:
    `getUndeprecateObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Undeprecate Objects Request' containment reference.
  See Also:
    `DocumentRoot.setUndeprecateObjectsRequest(UndeprecateObjectsRequestType)`, `LCMPackage.getDocumentRoot_UndeprecateObjectsRequest()`

### basicSetUndeprecateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetUndeprecateObjectsRequest(UndeprecateObjectsRequestType newUndeprecateObjectsRequest,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setUndeprecateObjectsRequest

    public void setUndeprecateObjectsRequest(UndeprecateObjectsRequestType newUndeprecateObjectsRequest)

  Specified by:
    `setUndeprecateObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newUndeprecateObjectsRequest` - the new value of the 'Undeprecate Objects Request' containment reference.
  See Also:
    `DocumentRoot.getUndeprecateObjectsRequest()`

### getUpdateObjectsRequest

    public UpdateObjectsRequestType getUpdateObjectsRequest()

  Specified by:
    `getUpdateObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Update Objects Request' containment reference.
  See Also:
    `DocumentRoot.setUpdateObjectsRequest(UpdateObjectsRequestType)`, `LCMPackage.getDocumentRoot_UpdateObjectsRequest()`

### basicSetUpdateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setUpdateObjectsRequest

    public void setUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest)

  Specified by:
    `setUpdateObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newUpdateObjectsRequest` - the new value of the 'Update Objects Request' containment reference.
  See Also:
    `DocumentRoot.getUpdateObjectsRequest()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD